Get indexed documents for a specific index
curl --request GET \
--url https://{region}.affinda.com/v3/index/{name}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index/{name}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index/{name}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"next": "<string>",
"previous": "<string>",
"results": [
{
"document": "<string>"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Search & Match
Get indexed documents for a specific index
Returns all the indexed documents for that index
GET
/
v3
/
index
/
{name}
/
documents
Get indexed documents for a specific index
curl --request GET \
--url https://{region}.affinda.com/v3/index/{name}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index/{name}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index/{name}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"next": "<string>",
"previous": "<string>",
"results": [
{
"document": "<string>"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Index name Unique index name
Example:
"all-resumes"
Query Parameters
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
Was this page helpful?
⌘I